Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.cms.impl
Class DocumentRootImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._3._0.cms.impl.DocumentRootImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, DocumentRoot

    public class DocumentRootImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements DocumentRoot

An implementation of the model object 'Document Root'.

The following features are implemented:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Catalog Content Request`
- `Catalog Content Response`
- `Validate Content Request`
- `Validate Content Response`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCatalogContentRequest(CatalogContentRequestType newCatalogContentRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCatalogContentResponse(CatalogContentResponseType newCatalogContentResponse, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetValidateContentRequest(ValidateContentRequestType newValidateContentRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetValidateContentResponse(ValidateContentResponseType newValidateContentResponse, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`CatalogContentRequestType` | `getCatalogContentRequest()`
`CatalogContentResponseType` | `getCatalogContentResponse()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()`
`ValidateContentRequestType` | `getValidateContentRequest()`
`ValidateContentResponseType` | `getValidateContentResponse()`
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()`
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()`
`void` | `setCatalogContentRequest(CatalogContentRequestType newCatalogContentRequest)`
`void` | `setCatalogContentResponse(CatalogContentResponseType newCatalogContentResponse)`
`void` | `setValidateContentRequest(ValidateContentRequestType newValidateContentRequest)`
`void` | `setValidateContentResponse(ValidateContentResponseType newValidateContentResponse)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMixed

    public org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `DocumentRoot`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CMSPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    public org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Specified by:
    `getXMLNSPrefixMap` in interface `DocumentRoot`
  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `CMSPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    public org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Specified by:
    `getXSISchemaLocation` in interface `DocumentRoot`
  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `CMSPackage.getDocumentRoot_XSISchemaLocation()`

### getCatalogContentRequest

    public CatalogContentRequestType getCatalogContentRequest()

  Specified by:
    `getCatalogContentRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Catalog Content Request' containment reference.
  See Also:
    `DocumentRoot.setCatalogContentRequest(CatalogContentRequestType)`, `CMSPackage.getDocumentRoot_CatalogContentRequest()`

### basicSetCatalogContentRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetCatalogContentRequest(CatalogContentRequestType newCatalogContentRequest,
                                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setCatalogContentRequest

    public void setCatalogContentRequest(CatalogContentRequestType newCatalogContentRequest)

  Specified by:
    `setCatalogContentRequest` in interface `DocumentRoot`
  Parameters:
    `newCatalogContentRequest` - the new value of the 'Catalog Content Request' containment reference.
  See Also:
    `DocumentRoot.getCatalogContentRequest()`

### getCatalogContentResponse

    public CatalogContentResponseType getCatalogContentResponse()

  Specified by:
    `getCatalogContentResponse` in interface `DocumentRoot`
  Returns:
    the value of the 'Catalog Content Response' containment reference.
  See Also:
    `DocumentRoot.setCatalogContentResponse(CatalogContentResponseType)`, `CMSPackage.getDocumentRoot_CatalogContentResponse()`

### basicSetCatalogContentResponse

    public org.eclipse.emf.common.notify.NotificationChain basicSetCatalogContentResponse(CatalogContentResponseType newCatalogContentResponse,
                                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setCatalogContentResponse

    public void setCatalogContentResponse(CatalogContentResponseType newCatalogContentResponse)

  Specified by:
    `setCatalogContentResponse` in interface `DocumentRoot`
  Parameters:
    `newCatalogContentResponse` - the new value of the 'Catalog Content Response' containment reference.
  See Also:
    `DocumentRoot.getCatalogContentResponse()`

### getValidateContentRequest

    public ValidateContentRequestType getValidateContentRequest()

  Specified by:
    `getValidateContentRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Validate Content Request' containment reference.
  See Also:
    `DocumentRoot.setValidateContentRequest(ValidateContentRequestType)`, `CMSPackage.getDocumentRoot_ValidateContentRequest()`

### basicSetValidateContentRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetValidateContentRequest(ValidateContentRequestType newValidateContentRequest,
                                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setValidateContentRequest

    public void setValidateContentRequest(ValidateContentRequestType newValidateContentRequest)

  Specified by:
    `setValidateContentRequest` in interface `DocumentRoot`
  Parameters:
    `newValidateContentRequest` - the new value of the 'Validate Content Request' containment reference.
  See Also:
    `DocumentRoot.getValidateContentRequest()`

### getValidateContentResponse

    public ValidateContentResponseType getValidateContentResponse()

  Specified by:
    `getValidateContentResponse` in interface `DocumentRoot`
  Returns:
    the value of the 'Validate Content Response' containment reference.
  See Also:
    `DocumentRoot.setValidateContentResponse(ValidateContentResponseType)`, `CMSPackage.getDocumentRoot_ValidateContentResponse()`

### basicSetValidateContentResponse

    public org.eclipse.emf.common.notify.NotificationChain basicSetValidateContentResponse(ValidateContentResponseType newValidateContentResponse,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setValidateContentResponse

    public void setValidateContentResponse(ValidateContentResponseType newValidateContentResponse)

  Specified by:
    `setValidateContentResponse` in interface `DocumentRoot`
  Parameters:
    `newValidateContentResponse` - the new value of the 'Validate Content Response' containment reference.
  See Also:
    `DocumentRoot.getValidateContentResponse()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD